#include <bits/stdc++.h>
#define MAX 200005
using namespace std;
int N;
double a[MAX], p[MAX];
double money(double k){
    double rez=0;
    for(int i=0;i<N;i++){
        if(k<=p[i])rez+=k*a[i];
    }
    return rez;
}
double bs(double a[],double p[]){
    double rez=0;
    for(int i=0;i<N;i++){
        if(rez<money(p[i]))rez=money(p[i]);
    }
    return rez;
}
int main()
{
    ios::sync_with_stdio(0);
    scanf("%d",&N);
    for(int i=0;i<N;i++){
        scanf("%lf %lf",&a[i],&p[i]);
        p[i]/=100;
    }
    printf("%lf",bs(a,p));
}